الفرق
GET https://qr8.tech/api/teams/
curl --request GET \
--url 'https://qr8.tech/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr8.tech/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| search | اختياري نص | سلسلة البحث. |
| search_by | اختياري نص | بأي حقل تبحث. القيم المسموح بها هي: name. |
| datetime_field | اختياري نص | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري نص | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري نص | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري نص | بأي حقل يتم ترتيب النتائج. القيم المسموح بها هي: team_id, datetime, last_datetime, name. |
| order_type | اختياري نص | ترتيب النتائج. القيم المسموح بها: ASC للترتيب التصاعدي، وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي تريد الحصول على النتائج منها. القيمة الافتراضية هي 1. |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي تريدها في كل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. الافتراضي هو 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-06-04 09:52:38",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-06-04 09:52:38",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qr8.tech/api/teams?page=1",
"last": "https://qr8.tech/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://qr8.tech/api/teams?page=1"
}
}
GET https://qr8.tech/api/teams/{team_id}
curl --request GET \
--url 'https://qr8.tech/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr8.tech/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-06-04 09:52:38",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-06-04 09:52:38",
}
}
POST https://qr8.tech/api/teams
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| name | مطلوب نص | - |
curl --request POST \
--url 'https://qr8.tech/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://qr8.tech/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://qr8.tech/api/teams/{team_id}
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| name | اختياري نص | - |
curl --request POST \
--url 'https://qr8.tech/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://qr8.tech/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://qr8.tech/api/teams/{team_id}
curl --request DELETE \
--url 'https://qr8.tech/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qr8.tech/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \